-- zhCN localization by Ananhaid.
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("Omen", "zhCN")
if not L then return end

-- Main Omen window
L["<Unknown>"] = "<未知的>"
L["Omen Quick Menu"] = "Omen 快捷菜单"
L["Use Focus Target"] = "使用焦点目标"
L["Test Mode"] = "测试模式"
L["Open Config"] = "打开配置"
L["Open Omen's configuration panel"] = true
L["Hide Omen"] = "隐藏 Omen"
L["Name"] = "名字"
L["Threat [%]"] = "仇恨 [%]"
L["Threat"] = "仇恨"
L["TPS"] = "TPS"
L["Toggle Focus"] = "开/关焦点"
L["> Pull Aggro <"] = true

-- Warnings
L["|cffff0000Error:|r Omen cannot use shake warning if you have turned on nameplates at least once since logging in."] = "|cffff0000错误：|r 如果您在登录后启动过一次姓名版，Omen 将无法使用震动警报功能。"
L["Passed %s%% of %s's threat!"] = "已超过>%2$s<的%1$2.0f%%仇恨值！"

-- Config module titles
L["General Settings"] = "综合设置"
L["Profiles"] = "档案"
L["Slash Command"] = "斜杠命令"

-- Config strings, general settings section
L["OMEN_DESC"] = "Omen 是一个占用少量系统资源监控仇恨的 UI，可以显示你和同伴参与战斗中怪物的仇恨列表。你可以改变 Omen 的外观，并且根据不同的角色储存不同的设置。"
L["Alpha"] = "透明度"
L["Controls the transparency of the main Omen window."] = "控制 Omen 主窗口的透明度。"
L["Scale"] = "缩放"
L["Controls the scaling of the main Omen window."] = "控制 Omen 主窗口的尺寸。"
L["Frame Strata"] = true
L["Controls the frame strata of the main Omen window. Default: MEDIUM"] = true
L["Clamp To Screen"] = true
L["Controls whether the main Omen window can be dragged offscreen"] = true
L["Tells Omen to additionally check your 'focus' and 'focustarget' before your 'target' and 'targettarget' in that order for threat display."] = true
L["Tells Omen to enter Test Mode so that you can configure Omen's display much more easily."] = true
L["Collapse to show a minimum number of bars"] = "收起以显示最小数量的计量条"
L["Lock Omen"] = "锁定 Omen"
L["Locks Omen in place and prevents it from being dragged or resized."] = "锁定 Omen，使其无法移动或拉伸。"
L["Show minimap button"] = true
L["Show the Omen minimap button"] = true
L["Ignore Player Pets"] = true
L["IGNORE_PLAYER_PETS_DESC"] = [[
Tells Omen to skip enemy player pets when determining which unit to display threat data on.

Player pets maintain a threat table when in |cffffff78Aggressive|r or |cffffff78Defensive|r mode and behave just like normal mobs, attacking the target with the highest threat. If the pet is instructed to attack a specific target, the pet still maintains the threat table, but sticks on the assigned target which by definition has 100% threat. Player pets can be taunted to force them to attack you.

However, player pets on |cffffff78Passive|r mode do not have a threat table, and taunt does not work on them. They only attack their assigned target when instructed and do so without any threat table.

When a player pet is instructed to |cffffff78Follow|r, the pet's threat table is wiped immediately and stops attacking, although it may immediately reacquire a target based on its Aggressive/Defensive mode.
]]
L["Autocollapse"] = "自动收起"
L["Autocollapse Options"] = "自动收起选项"
L["Grow bars upwards"] = "计量条向上生长"
L["Hide Omen on 0 bars"] = "当没有计量条时隐藏 Omen"
L["Hide Omen entirely if it collapses to show 0 bars"] = "当没有计量条时收起隐藏 Omen"
L["Max bars to show"] = "计量条的现实数量"
L["Max number of bars to show"] = "计量条最大显示数量"
L["Background Options"] = "背景选项"
L["Background Texture"] = "背景材质"
L["Texture to use for the frame's background"] = "框体背景材质"
L["Border Texture"] = "边框材质"
L["Texture to use for the frame's border"] = "框体边框材质"
L["Background Color"] = "背景颜色"
L["Frame's background color"] = "框体背景颜色"
L["Border Color"] = "边框颜色"
L["Frame's border color"] = "框体边框颜色"
L["Tile Background"] = "标题背景"
L["Tile the background texture"] = "标题背景材质"
L["Background Tile Size"] = "标题背景尺寸"
L["The size used to tile the background texture"] = "标题背景材质尺寸"
L["Border Thickness"] = "边框厚度"
L["The thickness of the border"] = "边框厚度"
L["Bar Inset"] = "嵌入计量条"
L["Sets how far inside the frame the threat bars will display from the 4 borders of the frame"] = "仇恨计量条显示的内框与外框之间距离"

-- Config strings, title bar section
L["Title Bar Settings"] = "标题栏设置"
L["Configure title bar settings."] = "配置标题栏设置"
L["Show Title Bar"] = true
L["Show the Omen Title Bar"] = true
L["Title Bar Height"] = "标题栏高度"
L["Height of the title bar. The minimum height allowed is twice the background border thickness."] = "标题栏高度。最小厚度为背景边框厚度的一倍。"
L["Title Text Options"] = "标题文本选项"
L["The font that the title text will use"] = "标题文本字体"
L["The outline that the title text will use"] = "标题文本字体轮廓"
L["The color of the title text"] = "标题字体颜色"
L["Control the font size of the title text"] = "标题文本字体大小"

-- Config strings, show when... section
L["Show When..."] = "当何时显示"
L["Show Omen when..."] = "当何时显示 Omen"
L["This section controls when Omen is automatically shown or hidden."] = true
L["Use Auto Show/Hide"] = true
L["Show Omen when any of the following are true"] = "当符合以下条件时 Omen 会被显示"
L["You have a pet"] = "有宠物"
L["Show Omen when you have a pet out"] = "当你的宠物存在时显示 Omen"
L["You are alone"] = "无队伍"
L["Show Omen when you are alone"] = "当你没有队伍时显示 Omen"
L["You are in a party"] = "有队伍"
L["Show Omen when you are in a 5-man party"] = "当你在5人队伍中显示 Omen"
L["You are in a raid"] = "有团队"
L["Show Omen when you are in a raid"] = "当你在团队中显示 Omen"
L["However, hide Omen if any of the following are true (higher priority than the above)."] = true
L["You are resting"] = "有空闲"
L["Turning this on will cause Omen to hide whenever you are in a city or inn."] = true
L["You are in a battleground"] = "在战场"
L["Turning this on will cause Omen to hide whenever you are in a battleground or arena."] = true
L["You are not in combat"] = true
L["Turning this on will cause Omen to hide whenever you are not in combat."] = "如选择此项，离开战斗后 Omen 会被隐藏。"
L["AUTO_SHOW/HIDE_NOTE"] = "Note: If you manually toggle Omen to show or hide, it will remain shown or hidden regardless of Auto Show/Hide settings until you next zone, join or leave a party or raid, or change any Auto Show/Hide settings."

-- Config strings, show classes... section
L["Show Classes..."] = "显示职业"
L["SHOW_CLASSES_DESC"] = "Omen 将显示以下职业的仇恨。除非你点选“不在队伍中”的选项，否则 Omen 将只显示你队伍中的玩家。"
L["Show bars for these classes"] = "显示的职业条"
L["DEATHKNIGHT"] = "死亡骑士"
L["DRUID"] = "德鲁伊"
L["HUNTER"] = "猎人"
L["MAGE"] = "法师"
L["PALADIN"] = "圣骑士"
L["PET"] = "宠物"
L["PRIEST"] = "牧师"
L["ROGUE"] = "潜行者"
L["SHAMAN"] = "萨满祭司"
L["WARLOCK"] = "术士"
L["WARRIOR"] = "战士"
L["*Not in Party*"] = "*不在队伍中*"

-- Config strings, bar settings section
L["Bar Settings"] = "计量条设置"
L["Configure bar settings."] = "配置计量条设置。"
L["Animate Bars"] = "动态计量条"
L["Smoothly animate bar changes"] = "平滑动态计量条"
L["Short Numbers"] = "简化数字"
L["Display large numbers in Ks"] = "大数字时用千位（K）显示"
L["Bar Texture"] = "计量条材质"
L["The texture that the bar will use"] = "计量条材质"
L["Bar Height"] = "计量条高度"
L["Height of each bar"] = "每个计量条的高度"
L["Bar Spacing"] = "计量条间距"
L["Spacing between each bar"] = "计量条之间的距离"
L["Show TPS"] = "显示 TPS"
L["Show threat per second values"] = "显示每秒仇恨量"
L["TPS Window"] = "TPS 窗口"
L["TPS_WINDOW_DESC"] = "每秒仇恨量的计算是根据最后X秒窗口内的变化而决定的。"
L["Show Threat Values"] = true
L["Show Threat %"] = true
L["Show Headings"] = "显示标题"
L["Show column headings"] = "显示主标题栏"
L["Heading BG Color"] = "主标题的背景颜色"
L["Heading background color"] = "主标题的背景颜色"
L["Use 'My Bar' color"] = "使用“My Bar”颜色"
L["Use a different colored background for your threat bar in Omen"] = "在 Omen 中为仇恨计量条使用不同的背景颜色"
L["'My Bar' BG Color"] = "“My Bar”背景颜色"
L["The background color for your threat bar"] = "仇恨计量条的背景颜色"
L["Use Tank Bar color"] = true
L["Use a different colored background for the tank's threat bar in Omen"] = true
L["Tank Bar Color"] = true
L["The background color for your tank's threat bar"] = true
L["Show Pull Aggro Bar"] = true
L["Show a bar for the amount of threat you will need to reach in order to pull aggro."] = true
L["Pull Aggro Bar Color"] = true
L["The background color for your Pull Aggro bar"] = true
L["Use Class Colors"] = true
L["Use standard class colors for the background color of threat bars"] = true
L["Bar BG Color"] = true
L["The background color for all threat bars"] = true
L["Always Show Self"] = true
L["Always show your threat bar on Omen (ignores class filter settings), showing your bar on the last row if necessary"] = true
L["Bar Label Options"] = "计量条标签选项"
L["Font"] = "字体"
L["The font that the labels will use"] = "标签字体"
L["Font Size"] = "字体大小"
L["Control the font size of the labels"] = "标签字体大小"
L["Font Color"] = "字体颜色"
L["The color of the labels"] = "标签颜色"
L["Font Outline"] = "字体轮廓"
L["The outline that the labels will use"] = "标签轮廓"
L["None"] = "无"
L["Outline"] = "轮廓"
L["Thick Outline"] = "加倍轮廓"

-- Config strings, slash command section
L["OMEN_SLASH_DESC"] = "这些按钮与斜杠命令有相同的效果（/omen）"
L["Toggle Omen"] = "开/关 Omen"
L["Center Omen"] = "Omen 居中"
L["Configure"] = "配置"
L["Open the configuration dialog"] = "打开 Omen 配置窗口"

-- Config strings, warning settings section
L["Warning Settings"] = "警报设置"
L["OMEN_WARNINGS_DESC"] = "这里可以调整 Omen 何时用何种方式给你提出仇恨警报。"
L["Enable Sound"] = "开启音效"
L["Causes Omen to play a chosen sound effect"] = "成因时 Omen 播放选择的音效"
L["Enable Screen Flash"] = "开启屏幕闪动"
L["Causes the entire screen to flash red momentarily"] = "成因时整个屏幕闪动红色"
L["Enable Screen Shake"] = "开启屏幕震动"
L["Causes the entire game world to shake momentarily. This option only works if nameplates are turned off."] = "成因时整个游戏屏幕震动。此选项只有在不启用姓名栏时才可用。"
L["Enable Warning Message"] = "开启警报消息"
L["Print a message to screen when you accumulate too much threat"] = "当你仇恨过高时在屏幕上显示警报消息"
L["Warning Threshold %"] = "警告阈值（百分比）"
L["Sound to play"] = "播放音效"
L["Disable while tanking"] = "当为 Tank 时关闭警报"
L["DISABLE_WHILE_TANKING_DESC"] = "如果在防御姿态、熊形态、正义之怒与冰霜系时、不显示警报。"
L["Test warnings"] = "测试警报"

-- Config strings, for Fubar
L["Click|r to toggle the Omen window"] = "点击|r开/关 Omen 窗口"
L["Right-click|r to open the options menu"] = "右键|r打开选项菜单"
L["FuBar Options"] = "FuBar 选项"
L["Attach to minimap"] = "依附到小地图"
L["Hide minimap/FuBar icon"] = "隐藏小地图/Fubar 小图标"
L["Show icon"] = "显示小图标"
L["Show text"] = "显示文字"
L["Position"] = "位置"
L["Left"] = "左边"
L["Center"] = "居中"
L["Right"] = "右边"

-- FAQ
L["Help File"] = "帮助文件"
L["A collection of help pages"] = "收集的帮助页"
L["FAQ Part 1"] = true
L["FAQ Part 2"] = true
L["Frequently Asked Questions"] = "常见问题"
L["Warrior"] = "战士"

L["GENERAL_FAQ"] = [[
|cffffd200Omen3 与 Omen2 的区别|r

Omen3 依据暴雪所提供的仇恨接口，与 Omen2 不一样，Omen3 不会去预测或者计算仇恨，仇恨值是通过接口直接向服务器端获取。

Omen2 使用 Threat-2.0 库，这个库是根据检测的战斗记录、法术、增益与减益、姿态和装备来计算不同的仇恨值。仇恨的计算是根据现有的资料与检测所得到的数据计算的。很多技能是假设值，无法验证（如击退、我们假设击退仇恨降低50%）。

Threat 2.0库也包含了其他人都用这个库的时候同步整个团队的仇恨值，这些仇恨数据用来提供给整个团队以供参考。

从3.0.2补丁开始 Omen 将不再做这些动作，Threat 库不再需要。Omen3 所使用暴雪内建仇恨监视器，并从中获取仇恨资料，这也造成 Omen 不再需要同步资料、检测战斗记录与猜测数据。效果因减少资料的传送而提升，包括 CPU 与内存的使用量都会减少，针对特殊首领的仇恨变化事件也不再需要。

更进一步说受益包括一些 NPC 对怪物的仇恨，比如太阳之井高地人类形态的卡雷苟斯的仇恨。但是也有一些不利的地方，仇恨数据更新也变得慢了，团队中如果没有人的目标是那个 NPC 的话，他的仇恨也无法得到，而你没有直接参与的战斗你也无法获得仇恨（如你没有造成任何伤害，或者制造任何仇恨你将无法得到仇恨值，就算你让你的宠物上去攻击而你没有攻击也一样不能得到仇恨值）。

|cffffd200How do I get rid of the 2 vertical gray lines down the middle?|r

Lock your Omen. Locking Omen will prevent it from being moved or resized, as well as prevent the columns from being resized. If you haven't realized it, the 2 vertical gray lines are column resizing handles.

|cffffd200如何将 Omen3 的外观改成与 Omen2 类似？|r

改变背景材质与边框材质为 Blizzard Tooltip，将背景颜色改成黑色（通过拖动亮度条调节底部颜色），边框颜色改为蓝色。

|cffffd200为什么就算我再战斗中也看不到任何仇恨值？|r

除非你对怪有作出任何伤害或者造成任何仇恨，否则暴雪仇恨接口不会给出任何仇恨值，我们猜测这可能是暴雪为了减少网络资料的传送。

|cffffd200Is there ANY way around this Blizzard limitation? Not being able to see my pet's threat before I attack has set me back to guessing.|r

There is no way around this limitation short of us doing the guessing for you (which is exactly how Omen2 did it).

The goal of Omen3 is to provide accurate threat data, we no longer intend to guess for you and in the process lower your FPS. Have some confidence in your pet/tank, or just wait 2 seconds before attacking and use a low damage spell such as Ice Lance so that you can get initial threat readings.
]]
L["GENERAL_FAQ2"] = [[
|cffffd200Can we get AoE mode back?|r

Again, this is not really possible without guessing threat values. Blizzard's threat API only allows us to query for threat data on units that somebody in the raid is targetting. This means that if there are 20 mobs and only 6 of them are targetted by the raid, there is no way to obtain accurate threat data on the other 14.

This is also extremely complicated to guess particularly for healing and buffing (threat gets divided by the number of mobs you are in combat with) because mobs that are under crowd control effects (sheep, banish, sap, etc) do not have their threat table modified and addons cannot reliably tell how many mobs you are in combat with. Omen2's guess was almost always wrong.

|cffffd200The tooltips on unit mouseover shows a threat % that does not match the threat % reported by Omen3. Why?|r

Blizzard's threat percentage is scaled to between 0% and 100%, so that you will always pull aggro at 100%. Omen reports the raw unscaled values which has pulling aggro percentages at 110% while in melee range and 130% otherwise.

By universal agreement, the primary target of a mob is called the tank and is defined to be at 100% threat.

|cffffd200Omen3 有同步资料或者分析战斗资料么？|r

Omen3 不需要同步资料或者分析战斗资料，现阶段没有任何必要去这样做。

|cffffd200仇恨资料更新太慢……|r

Omen3 仇恨更新速度与暴雪提供仇恨数据给我们的速度是一样的。

In fact, Blizzard updates them about once per second, which is much faster than what Omen2 used to sync updates. In Omen2, you only transmitted your threat to the rest of the raid once every 3 seconds (or 1.5s if you were a tank).

|cffffd200我要去哪里反馈 Bug 或者提出建议？|r

http://forums.wowace.com/showthread.php?t=14249

|cffffd200谁制作了 Omen3？|r

Xinhuan (Blackrock US Alliance) 美服-黑石山-联盟：Xinhuan。

|cffffd200Do you accept Paypal donations?|r

Yes, send to xinhuan AT gmail DOT com.
]]
L["WARRIOR_FAQ"] = [[以下数据来自|cffffd200http://www.tankspot.com/forums/f200/39775-wow-3-0-threat-values.html|r2008年10月2号（Satrina 的功劳）。等级80采集的数据。
以下为原始数据，未作翻译，以便查找：

|cffffd200Modifiers|r
Battle Stance ________ x 80
Berserker Stance _____ x 80
Tactical Mastery _____ x 121/142/163
Defensive Stance _____ x 207.35

Note that in our original threat estimations (that we use now in WoW 2.0), we equated 1 damage to 1 threat, and used 1.495 to represent the stance+defiance multiplier. We see that Blizzard's method is to use the multiplier without decimals, so in 2.x it would've been x149 (maybe x149.5); it is x207 (maybe 207.3) in 3.0. I expect that this is to allow the transport of integer values instead of decimal values across the Internet for efficiency. It appears that threat values are multiplied by 207.35 at the server, then rounded.

If you still want to use the 1 damage = 1 threat method, the stance modifiers are 0.8 and 2.0735, etc.

|cffffd200Threat Values  (stance modifiers apply unless otherwise noted):|r
Battle Shout _________ 78 (split)
Cleave _______________ damage + 225 (split)
Commanding Shout _____ 80 (split)
Concussion Blow ______ damage only
Damage Shield ________ damage only
Demoralising Shout ___ 63 (split)
Devastate ____________ damage + 5% of AP *** Needs re-checking for 8982 **
Dodge/Parry/Block_____ 1 (in defensive stance with Improved Defensive Stance only)
Heroic Strike ________ damage + 259
Heroic Throw _________ 1.50 x damage
Rage Gain ____________ 5 (stance modifier is not applied)
Rend _________________ damage only
Revenge ______________ damage + 121
Shield Bash __________ 36
Shield Slam __________ damage + 770
Shockwave ____________ damage only
Slam _________________ damage + 140
Spell Reflect ________ damage only (only for spells aimed at you)
Social Aggro _________ 0
Sunder Armour ________ 345 + 5%AP
Thunder Clap _________ 1.85 x damage
Vigilance ____________ 10% of target's generated threat (stance modifier is not applied)

如果你通过加强反弹魔法天赋帮助队友反弹魔法，你不会获得任何仇恨值，相对如果你通过此天赋帮助队友反弹魔法，这个仇恨值将计算在队友身上。
]]

